Support » Plugin: Slimstat Analytics » Security threat

  • Resolved kingscrown

    (@kingscrown)


    Hi! Thanks for a very valuable plugin! I recently reinstalled Slimstat and Vaultpress reacted by alerting me of a possible security threat called “Generic.Hidden.Code.2” in this file: plugins/wp-slimstat/vendor/browscap-php/symfony/string/AbstractUnicodeString.php

    Is this a concern and how should I handle it?

    Cheers!

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Jason Crouse

    (@coolmann)

    Hi, I am looking into it. That’s a third-party library used to read the Browscap data files. I will report back. Thank you for letting me know.

    Jason

    Plugin Author Jason Crouse

    (@coolmann)

    I can confirm that this is a false positive. Vaultpress is seeing the Unicode sequences (probably of line 37) and marks it as suspect, but this file is meant to decode Unicode sequences, so it needs this information.

    In the future, please don’t report security issues in this forum, contact us directly at support.wp-slimstat.com

    Thank you!
    Jason

    Thread Starter kingscrown

    (@kingscrown)

    Ok, thank you for clearing that up.

    Plugin Author Jason Crouse

    (@coolmann)

    Sorry for the delay in getting back to you, WordPress reset my account password, and I was having trouble with the new one.

    You’re very welcome!
    Jason

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Security threat’ is closed to new replies.